中危 Google Golang 安全漏洞(CVE-2022-30635)

CVE编号

CVE-2022-30635

利用情况

暂无

补丁情况

没有补丁

披露时间

2022-08-11
漏洞描述
Google Golang是美国谷歌(Google)公司的一种静态强类型、编译型语言。Go的语法接近C语言,但对于变量的声明有所不同。Go支持垃圾回收功能。Go的并行模型是以东尼·霍尔的通信顺序进程(CSP)为基础,采取类似模型的其他语言包括Occam和Limbo,但它也具有Pi运算的特征,比如通道传输。在1.8版本中开放插件(Plugin)的支持,这意味着现在能从Go中动态加载部分函数。

Google Golang 存在安全漏洞,在Go 1.17.12和Go 1.18.4之前的encoding/gob中的Decode允许攻击者通过包含深度嵌套结构的消息引起堆栈耗尽。


解决建议
目前厂商暂未发布修复措施解决此安全问题,建议用户随时关注厂商主页或参考网址以获取解决办法:

https://go.dev/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 golang go * Up to
(excluding)
1.17.12
运行在以下环境
应用 golang go * From
(including)
1.18.0
Up to
(excluding)
1.18.4
运行在以下环境
系统 alibaba_cloud_linux_3 golang * Up to
(excluding)
1.17.12-1.0.1.al8
运行在以下环境
系统 alma_linux_8 grafana * Up to
(excluding)
7.5.15-3.el8
运行在以下环境
系统 alma_linux_9 golang * Up to
(excluding)
1.17.12-1.el9_0
运行在以下环境
系统 alpine_3.16 go * Up to
(excluding)
1.18.4-r0
运行在以下环境
系统 alpine_3.17 go * Up to
(excluding)
1.18.4-r0
运行在以下环境
系统 alpine_3.18 go * Up to
(excluding)
1.18.4-r0
运行在以下环境
系统 alpine_3.19 go * Up to
(excluding)
1.18.4-r0
运行在以下环境
系统 amazon_2 runc * Up to
(excluding)
1.1.3-1.amzn2.0.2
运行在以下环境
系统 amazon_2022 golang * Up to
(excluding)
1.19-1.amzn2022.0.1
运行在以下环境
系统 amazon_2023 golang * Up to
(excluding)
1.19.3-2.amzn2023.0.2
运行在以下环境
系统 amazon_AMI golang * Up to
(excluding)
1.18.6-1.42.amzn1
运行在以下环境
系统 anolis_os_8 git-lfs * Up to
(excluding)
2.13.3-3.0.1
运行在以下环境
系统 debian_12 golang-1.19 * Up to
(excluding)
1.19~rc2-1
运行在以下环境
系统 fedora_35 fzf * Up to
(excluding)
0.29.0-2.fc35
运行在以下环境
系统 fedora_EPEL_7 golang * Up to
(excluding)
1.17.12-1.el7
运行在以下环境
系统 opensuse_Leap_15.3 go1.18 * Up to
(excluding)
1.18.5-150000.1.25.1
运行在以下环境
系统 opensuse_Leap_15.4 go1.18 * Up to
(excluding)
1.18.5-150000.1.25.1
运行在以下环境
系统 opensuse_Leap_15.5 go1.18-openssl * Up to
(excluding)
1.18.10.1-150000.1.9.1
运行在以下环境
系统 oracle_8 grafana * Up to
(excluding)
7.5.15-3.el8
运行在以下环境
系统 oracle_9 golang * Up to
(excluding)
1.17.12-1.el9_0
运行在以下环境
系统 redhat_8 grafana * Up to
(excluding)
7.5.15-3.el8
运行在以下环境
系统 redhat_9 golang * Up to
(excluding)
1.17.12-1.el9_0
运行在以下环境
系统 rocky_linux_8 grafana * Up to
(excluding)
7.5.15-3.el8
运行在以下环境
系统 rocky_linux_9 golang * Up to
(excluding)
1.17.12-1.el9_0
运行在以下环境
系统 ubuntu_18.04 golang-1.18 * Up to
(excluding)
1.18.1-1ubuntu1~18.04.4
运行在以下环境
系统 ubuntu_20.04 golang-1.18 * Up to
(excluding)
1.18.1-1ubuntu1~20.04.2
运行在以下环境
系统 ubuntu_22.04 golang-1.18 * Up to
(excluding)
1.18.1-1ubuntu1.1
阿里云评分
5.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    没有补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-674 未经控制的递归
阿里云安全产品覆盖情况